#!/bin/bash
LUA=${LUA:-lua}
rm -r target/*
mkdir target &>/dev/null
$LUA luapreproc.lua module/init.lua target/init.lua
echo _OSVERSION=\"PsychOS 2.0a2-$(git rev-parse --short HEAD)\" > target/version.lua
cat target/version.lua target/init.lua > target/tinit.lua
mv target/tinit.lua target/init.lua
cp -r service/ lib/ cfg/ target/
#$LUA finddesc.lua $(find module/ -type f) $(find lib/ -type f) > apidoc.md
rm target/version.lua
rm -r doc/
$LUA finddesc2.lua doc/ $(find lib/ module/ -type f|sort)
pandoc doc/apidoc.md --template=template.tex -o doc/apidoc.pdf
